<?php

/**
 * Returns calendars events as JSON string
 *
 * @param integer $calendarID - The ID of the calendar which should be returned in iCal format
 *
 * @return String - The calendars events as JSON string
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_calendar_ajax_getEventsForScheduler',
    function ($calendarID, $options) {
        $options = json_decode($options, true);

        $Calendar = \QUI\Calendar\Handler::getCalendar($calendarID);

        if (isset($options['showPastEvents']) && !$options['showPastEvents']) {
            // -1 for all events
            $Events = $Calendar->getUpcomingEvents(-1, false);
        } else {
            $Events = $Calendar->getAllEvents();
        }

        return $Events->toSchedulerFormat();
    },
    ['calendarID', 'options'],
    false
);
